/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_3176773512")

  // update field
  collection.fields.addAt(9, new Field({
    "hidden": false,
    "id": "file2484770424",
    "maxSelect": 1,
    "maxSize": 0,
    "mimeTypes": [],
    "name": "hero_image",
    "presentable": false,
    "protected": false,
    "required": false,
    "system": false,
    "thumbs": [],
    "type": "file"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_3176773512")

  // update field
  collection.fields.addAt(9, new Field({
    "hidden": false,
    "id": "file2484770424",
    "maxSelect": 1,
    "maxSize": 0,
    "mimeTypes": [],
    "name": "background_image",
    "presentable": false,
    "protected": false,
    "required": false,
    "system": false,
    "thumbs": [],
    "type": "file"
  }))

  return app.save(collection)
})
